import * as React from 'react';
import {
  render,
  screen
} from '@testing-library/react';
import '@testing-library/jest-dom';
import * as CheckControlBase from '@tesseract-design/web-base-checkcontrol';
import { ToggleSwitch } from '.';

jest.mock('@tesseract-design/web-base-checkcontrol');

describe('ToggleSwitch', () => {
  it('should render a checkbox', () => {
    render(
      <ToggleSwitch />
    );
    const checkbox = screen.getByRole('checkbox');
    expect(checkbox).toBeInTheDocument();
  });
});
